# 微信支付分停车服务示例代码

本示例代码用于模拟微信支付分停车服务的接入场景，包括停车入场、开通服务、停车离场、申请扣款等流程，帮助商户开发人员理解支付分停车服务的基本功能和使用方法。



## 概述

本 demo 基本覆盖了微信支付分停车的所有功能场景，包含以下功能的接入代码示例：

- 停车入场
- 开通服务
- 停车离场
- 查询订单
- 查询用户车辆服务状态



## 预览

<img src="preview.gif" width="300px" />



## 运行

本示例代码分为前端和服务端，请参考各自目录下的 README 运行相应编程语言的示例代码。

#### 前端

- 小程序：[`client/mp`](/client/mp)

#### 后端

- Go：[`server/go`](/server/go)



## 扩展阅读

- [微信支付分停车服务文档](https://pay.weixin.qq.com/wiki/doc/apiv3/open/pay/chapter3_7_1.shtml)
- [微信支付 API v3](https://wechatpay-api.gitbook.io/wechatpay-api-v3/)

