# 微信支付分停车服务示例代码 — 小程序

本示例代码基于[微信小程序](https://mp.weixin.qq.com/cgi-bin/wx)和 [weui](https://github.com/Tencent/weui) 编写，用于测试和体验微信支付分停车服务的基本功能场景。



## 预览

<img src="../../preview.gif" width="300px" />



## 环境要求

- 已注册[微信小程序](https://mp.weixin.qq.com/cgi-bin/wx)，拥有相应的 appid，并绑定一个开发者微信账号
- 已下载并安装[微信小程序开发者工具](https://developers.weixin.qq.com/miniprogram/dev/devtools/download.html)




## 运行

1. 使用微信小程序开发者工具打开本项目，使用绑定的开发者微信账号扫码登录小程序
2. 将 `project.config.js` 项目配置文件中的 `appid` 修改为自己的小程序 appid
3. 将 `app.js` 的 `globalData` 中的 `mchid` 修改为自己的商户号，`serverDomain` 修改为服务端部署的地址
4. 点击开发者工具右上角的“详情”，并勾选“不校验合法域名、web-view（业务域名）、TLS 版本以及 HTTPS 证书”一项

5. 点击开发者工具上方的“编译”和“预览”，使用开发者微信账号扫码（或自动）预览小程序
6. 点击小程序右上方的菜单，打开调试（若不打开调试，小程序会检验请求域名的合法性，需要网站提供 HTTPS 访问且在小程序平台加入到信任的网站列表中）

经过以上步骤，我们应该能正常运行示例小程序。



## 测试

接下来我们就可以开始联调小程序和服务端程序了。

首先我们将 demo 服务端正确部署并运行，可以按照预览步骤对小程序进行测试，体验“入场停车（未开通服务） → 开通服务 → 入场停车（已开通服务） → 停车离场 → 自动扣费”的流程。

注意：

- 为避免与现实环境发生冲突，在测试示例代码时所有车牌号都是“测XXXXXX”的形式，且每次运行小程序都会随机生成车牌号；若需要测试同一车牌号，可以在小程序页面手动编辑

- **每次“入场 → 离场”会扣取 0.01 元的停车费用（由服务端配置），请谨慎测试**