package error

// Code 错误返回码
type Code string

// nolint:golint
const (
	InvalidArgument  Code = "INVALID_ARGUMENT"
	MethodNotAllowed Code = "METHOD_NOT_ALLOWED"
	OutOfRange       Code = "OUT_OF_RANGE"
	Unauthenticated  Code = "UNAUTHENTICATED"
	PermissionDenied Code = "PERMISSION_DENIED"
	NotFound         Code = "NOT_FOUND"
	AlreadyExists    Code = "ALREADY_EXISTS"
	Unknown          Code = "UNKNOWN"
	Internal         Code = "INTERNAL"
	NotImplemented   Code = "NOT_IMPLEMENTED"
	Unavailable      Code = "UNAVAILABLE"
)

// Error 错误返回信息
type Error struct {
	Code    Code        `json:"code"`
	Message string      `json:"message"`
	Details interface{} `json:"details"`
}
