package main

import (
	"log"
	"net/http"

	"github.com/joho/godotenv"
	"tencent.com/wxp/credit-parking-demo/client"
	"tencent.com/wxp/credit-parking-demo/handler"
)

func main() {

	// 加载环境变量
	if err := godotenv.Load(); err != nil {
		log.Fatalf("Fail to load env file: %v", err)
	}

	// 初始化 client 和 notifyHandler
	client.Init()

	http.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		w.Write([]byte("你好，微信支付分停车服务！"))
	})
	http.HandleFunc("/parking", handler.HandleParkingRequest)
	http.HandleFunc("/service", handler.HandleServiceRequest)
	http.HandleFunc("/orders", handler.HandleOrderRequest)
	http.HandleFunc("/login", handler.HandleLoginRequest)
	addr := "localhost:8080"
	log.Printf("Listening on %s", addr)
	log.Fatal(http.ListenAndServe(addr, nil))
}
